This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 130333 - Anaconda missing image
Anaconda missing image
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-19 04:31 EDT by Tomo Vuckovic
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-22 15:54:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomo Vuckovic 2004-08-19 04:31:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
Bad : When anaconda fail install package dialog missing image

Version-Release number of selected component (if applicable):
anaconda latest from development tree

How reproducible:
Sometimes

Steps to Reproduce:
1. Anaconda fail install package
2. dialog missing image

    

Additional info:

anaconda gui.py on line 578 missing gtk-dialog-info.png
only afected if redhat-artwork not installed
Comment 1 Jeremy Katz 2004-08-19 18:22:31 EDT
Is it a package early in the install order?  If so, I'm not sure what
can be done about it as the error dialog is running with a root of
inside the chroot where the icons don't exist yet. 

Unless there's some hidden gtk trick I don't know about...
Comment 2 Owen Taylor 2004-08-20 10:18:06 EDT
Do you have the icon theme rc file but not the icons or something?
You should at least get the default GTK+ fallback icon.

(BlueCurve I think still  needs to be fixed up not to use a RC file
for its icon theme, which might make it more robust if the problem
is indeed that only part of redhat-artwork is installed.)

Comment 3 Jeremy Katz 2004-08-20 11:05:01 EDT
The icon theme rc file is there and the icons are there as long as the
process isn't chrooted into /mnt/sysimage.  It's when an error occurs
with the process root being /mnt/sysimage that things get ugly.

Not really sure there's anything to be done, though (without
drastically changing the way I handle errors)
Comment 4 Owen Taylor 2004-08-20 11:43:29 EDT
How much of redhat-artwork is in /mnt/sysimage? If nothing
of redhat-artwork is in there, no problems should occur. 
Comment 5 Jeremy Katz 2004-08-20 11:51:27 EDT
At early points in the install, none of it.  The package hasn't been
laid down on the disk yet.
Comment 6 Jeremy Katz 2004-09-22 15:54:58 EDT
With the rework of the icon theme, this hopefully will be better now.

Note You need to log in before you can comment on or make changes to this bug.